# Visualization
TKV3d
SelectMgr

# SelectMgr_DataMapOfIntegerSensitive Class Reference

`#include <SelectMgr_DataMapOfIntegerSensitive.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | SelectMgr_DataMapOfIntegerSensitive (const Standard_Integer NbBuckets=1)
Standard_EXPORT SelectMgr_DataMapOfIntegerSensitive & | Assign (const SelectMgr_DataMapOfIntegerSensitive &Other)
SelectMgr_DataMapOfIntegerSensitive & | operator= (const SelectMgr_DataMapOfIntegerSensitive &Other)
Standard_EXPORT void | ReSize (const Standard_Integer NbBuckets)
Standard_EXPORT void | Clear ()
| ~SelectMgr_DataMapOfIntegerSensitive ()
Standard_EXPORT Standard_Boolean | Bind (const Standard_Integer &K, const Handle(SelectBasics_SensitiveEntity)&I)
Standard_EXPORT Standard_Boolean | IsBound (const Standard_Integer &K) const
Standard_EXPORT Standard_Boolean | UnBind (const Standard_Integer &K)
Standard_EXPORT const Handle_SelectBasics_SensitiveEntity & | Find (const Standard_Integer &K) const
const Handle_SelectBasics_SensitiveEntity & | operator() (const Standard_Integer &K) const
Standard_EXPORT Handle_SelectBasics_SensitiveEntity & | ChangeFind (const Standard_Integer &K)
Handle_SelectBasics_SensitiveEntity & | operator() (const Standard_Integer &K)

## Private Member Functions

Standard_EXPORT | SelectMgr_DataMapOfIntegerSensitive (const SelectMgr_DataMapOfIntegerSensitive &Other)

## Constructor & Destructor Documentation

Standard_EXPORT SelectMgr_DataMapOfIntegerSensitive::SelectMgr_DataMapOfIntegerSensitive | ( | const Standard_Integer | NbBuckets = `1` | ) |

SelectMgr_DataMapOfIntegerSensitive::~SelectMgr_DataMapOfIntegerSensitive | ( |  | ) | `[inline]`

Standard_EXPORT SelectMgr_DataMapOfIntegerSensitive::SelectMgr_DataMapOfIntegerSensitive | ( | const SelectMgr_DataMapOfIntegerSensitive & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT SelectMgr_DataMapOfIntegerSensitive& SelectMgr_DataMapOfIntegerSensitive::Assign | ( | const SelectMgr_DataMapOfIntegerSensitive & | Other | ) |

Standard_EXPORT Standard_Boolean SelectMgr_DataMapOfIntegerSensitive::Bind | ( | const Standard_Integer & | K,
|  | const Handle(SelectBasics_SensitiveEntity)& | I
| ) |

Standard_EXPORT Handle_SelectBasics_SensitiveEntity& SelectMgr_DataMapOfIntegerSensitive::ChangeFind | ( | const Standard_Integer & | K | ) |

Standard_EXPORT void SelectMgr_DataMapOfIntegerSensitive::Clear | ( |  | ) |

Standard_EXPORT const Handle_SelectBasics_SensitiveEntity& SelectMgr_DataMapOfIntegerSensitive::Find | ( | const Standard_Integer & | K | ) | const

Standard_EXPORT Standard_Boolean SelectMgr_DataMapOfIntegerSensitive::IsBound | ( | const Standard_Integer & | K | ) | const

void SelectMgr_DataMapOfIntegerSensitive::operator delete | ( | void * | anAddress | ) | `[inline]`

void* SelectMgr_DataMapOfIntegerSensitive::operator new | ( | size_t | size | ) | `[inline]`

void* SelectMgr_DataMapOfIntegerSensitive::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Handle_SelectBasics_SensitiveEntity& SelectMgr_DataMapOfIntegerSensitive::operator() | ( | const Standard_Integer & | K | ) | `[inline]`

const Handle_SelectBasics_SensitiveEntity& SelectMgr_DataMapOfIntegerSensitive::operator() | ( | const Standard_Integer & | K | ) | const`[inline]`

SelectMgr_DataMapOfIntegerSensitive& SelectMgr_DataMapOfIntegerSensitive::operator= | ( | const SelectMgr_DataMapOfIntegerSensitive & | Other | ) | `[inline]`

Standard_EXPORT void SelectMgr_DataMapOfIntegerSensitive::ReSize | ( | const Standard_Integer | NbBuckets | ) |

Standard_EXPORT Standard_Boolean SelectMgr_DataMapOfIntegerSensitive::UnBind | ( | const Standard_Integer & | K | ) |

The documentation for this class was generated from the following file:

- SelectMgr_DataMapOfIntegerSensitive.hxx